# Interface UserSetting<T>

interface UserSetting<T> {
etag?: string;
lastModified: Date;
path: string;
value: T;
}

#### Type Parameters

- T

##### Index

### Properties

etag?
lastModified
path
value

## Properties

### `Optional` etag

etag?: string

Etag of retrived setting. When updating or delelting, this must match the value

### lastModified

lastModified: Date

Date last modified

### path

path: string

Slash separated path to setting

### value

value: T

The actual setting